Bug 70694 - using smbpasswd to login to system is successful
using smbpasswd to login to system is successful
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
: Security
Depends On:
  Show dependency treegraph
Reported: 2002-08-03 23:57 EDT by Keith Mastin
Modified: 2007-04-18 12:45 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-03 23:57:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Keith Mastin 2002-08-03 23:57:12 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv: Gecko/20010901

Description of problem:
When I enter username and the smbpasswd rather than the user password, I can
still have entry into the system

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create user "newuser" with password "Dak^Dal*"
2.add smbpasswd -a newuser with password "He7Qr3"
3.goto another console and enter "newuser" with password "He7Qr3"

Actual Results:  System allows login with incorrect system user password

Expected Results:  should have respawned login prompt with "incorrect login" message

Additional info:

This is the third of 3 login bugs I found today
Comment 1 Trond Eivind Glomsrxd 2002-08-05 10:39:35 EDT
Not a bug - the default configuration is to synchronize the system password with
the samba password when set via samba. Look for passwd chat in smb.conf.
Comment 2 Andrew Bartlett 2002-09-01 06:59:58 EDT
The smbpasswd command, when run as root, will not cause any syncronisation to
occour.  Either the PAM configuration on the system has been set to use
pam_smbpass, or the password was changed as non-root, causing a 'password sync'.

Andrew Bartlett

Note You need to log in before you can comment on or make changes to this bug.